# PulpcoreClient::AccessPolicy

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**permissions_assignment** | **Array&lt;Object&gt;** | List of callables that define the new permissions to be created for new objects.This is deprecated. Use &#x60;creation_hooks&#x60; instead. | [optional] 
**creation_hooks** | **Array&lt;Object&gt;** | List of callables that may associate user roles for new objects. | [optional] 
**statements** | **Array&lt;Object&gt;** | List of policy statements defining the policy. | 
**queryset_scoping** | [**Object**](.md) | A callable for performing queryset scoping. See plugin documentation for valid callables. Set to blank to turn off queryset scoping. | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::AccessPolicy.new(permissions_assignment: null,
                                 creation_hooks: null,
                                 statements: null,
                                 queryset_scoping: null)
```


