# PulpcoreClient::ArtifactDistributionResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**base_url** | **String** | The URL for accessing the publication as defined by this distribution. | [optional] [readonly] 
**base_path** | **String** | The base (relative) path component of the published url. Avoid paths that                     overlap with other distribution base paths (e.g. \&quot;foo\&quot; and \&quot;foo/bar\&quot;) | 
**content_guard** | **String** | An optional content-guard. | [optional] 
**name** | **String** | A unique name. Ex, &#x60;rawhide&#x60; and &#x60;stable&#x60;. | 
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::ArtifactDistributionResponse.new(base_url: null,
                                 base_path: null,
                                 content_guard: null,
                                 name: null,
                                 pulp_href: null,
                                 pulp_created: null,
                                 pulp_labels: null)
```


