# PulpcoreClient::AccessPolicyResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**permissions_assignment** | **Array&lt;Object&gt;** | List of callables that define the new permissions to be created for new objects.This is deprecated. Use &#x60;creation_hooks&#x60; instead. | [optional] 
**creation_hooks** | **Array&lt;Object&gt;** | List of callables that may associate user roles for new objects. | [optional] 
**statements** | **Array&lt;Object&gt;** | List of policy statements defining the policy. | 
**viewset_name** | **String** | The name of ViewSet this AccessPolicy authorizes. | [optional] [readonly] 
**customized** | **Boolean** | True if the AccessPolicy has been user-modified. False otherwise. | [optional] [readonly] 
**queryset_scoping** | [**Object**](.md) | A callable for performing queryset scoping. See plugin documentation for valid callables. Set to blank to turn off queryset scoping. | [optional] 

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::AccessPolicyResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 permissions_assignment: null,
                                 creation_hooks: null,
                                 statements: null,
                                 viewset_name: null,
                                 customized: null,
                                 queryset_scoping: null)
```


