# PulpcoreClient::PatchedUser

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**username** | **String** | Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only. | [optional] 
**password** | **String** | Users password. Set to &#x60;&#x60;null&#x60;&#x60; to disable password authentication. | [optional] 
**first_name** | **String** | First name | [optional] 
**last_name** | **String** | Last name | [optional] 
**email** | **String** | Email address | [optional] 
**is_staff** | **Boolean** | Designates whether the user can log into this admin site. | [optional] [default to false]
**is_active** | **Boolean** | Designates whether this user should be treated as active. | [optional] [default to true]

## Code Sample

```ruby
require 'PulpcoreClient'

instance = PulpcoreClient::PatchedUser.new(username: null,
                                 password: null,
                                 first_name: null,
                                 last_name: null,
                                 email: null,
                                 is_staff: null,
                                 is_active: null)
```


